Bug 228992 - mail/cyrus-imapd30: add reload to init script
Summary: mail/cyrus-imapd30: add reload to init script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-13 16:44 UTC by Johan Bergström
Modified: 2018-06-16 05:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ume)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Bergström 2018-06-13 16:44:04 UTC
Reloading is useful for rotating things like certificates (as you would, using letsencrypt via security/acme.sh or similar). This can be achieved by invoking SIGHUP: https://www.cyrusimap.org/imap/reference/admin/sop/reloading.html

Perhaps something like this?
$ diff -u imapd imapd_new 
--- imapd	2018-05-18 20:58:41.093717000 +0200
+++ imapd_new	2018-06-13 18:42:32.042285000 +0200
@@ -27,6 +27,8 @@
 pidfile="/var/run/cyrus-master.pid"
 required_files="/usr/local/etc/cyrus.conf /usr/local/etc/imapd.conf"
 stop_postcmd="cyrus_imapd_poststop"
+sig_reload="HUP"
+extra_commands="reload"
 
 cyrus_imapd_poststop() {
 	/bin/rm -f ${pidfile}
Comment 1 commit-hook freebsd_committer 2018-06-16 05:23:00 UTC
A commit references this bug:

Author: ume
Date: Sat Jun 16 05:22:04 UTC 2018
New revision: 472518
URL: https://svnweb.freebsd.org/changeset/ports/472518

Log:
  add reload to init script

  PR:		228992
  Submitted by:	Johan Bergstr?m <bugs [...] bergstroem.nu>

Changes:
  head/mail/cyrus-imapd23/Makefile
  head/mail/cyrus-imapd23/files/imapd.in
  head/mail/cyrus-imapd24/Makefile
  head/mail/cyrus-imapd24/files/imapd.in
  head/mail/cyrus-imapd25/Makefile
  head/mail/cyrus-imapd25/files/imapd.in
  head/mail/cyrus-imapd30/Makefile
  head/mail/cyrus-imapd30/files/imapd.in
Comment 2 Hajimu UMEMOTO freebsd_committer 2018-06-16 05:24:42 UTC
Thanks, committed!